Skip to Content
avatar image
Former Member

NWDS Code upgrade from 7.0 to 7.5: import problem

Hello all,

We are in the middle of upgrading our NW 7.0 based Java projects to NW 7.5.

One of the problems we encounter is with some import statements where 'enum' is used in the path.
Eg.: import com.sap.ip.collaboration.gw.api.enum.PriorityType;

When looking in the Javadocs we see that the current path is

  • com.sap.ip.collaboration.gw.api.enums.PriorityType

1. First step: we changed the 'enum' to 'enums' but the PriorityType is not recognized

2. Second step: based on the information in Javadoc, stating the class is part of SC KMC-COLL, we defined SoftwareComponent KMC-COLL as Prerequisite Software Component in SLD, updated CMS, checked-in the component in the track, updated the track,...and were hoping that the import would now be succesfull.
But nothing changed: the ....enums.PriorityType is still not valid in import statement.

What could be the reason?

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Jun 13, 2017 at 11:15 AM

    Hi,

    After updating the track, did you add DC "tc/kmc/coll/gw" (which is part of KMC-COLL SC) as dependent DC to your custom development DC. If not please do it and check.

    Regards,

    Madhu

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Jun 14, 2017 at 07:42 AM

    Hello Madhu,

    Thanks! It worked!

    Regards,
    Maarten

    Add comment
    10|10000 characters needed characters exceeded